{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block content %}
<style>
.pic{
  float: left;
  padding: 15px;
  padding-left: 0;
  text-align: center;
  width: 110px;
}
.catabar {
  clear: left;
}
.catabar h1{
  background-color: #ade;
}
</style>

<div>
  <div class='div_box'>
     <h1>{% trans '考勤照片记录' %}</h1>
     <div>
      <p style="font-size: 120%">
        <a href="{% url 'attpics' '' %}">All:</a>
        {% for dir in history_dir %}
        <a>></a>
        <a href="{% url 'attpics' dir.1 %}">{{ dir.0 }}</a>
        {% endfor %}
      </p>
     </div>
      <h2><a href="../"><img src="{% static 'img/go-back.png' %}" style="width:20px;height:20px;">&nbsp;&nbsp;{% trans '返回上一层' %}</a></h2>
      {% if dirs %}
        {% for dir in dirs %}
          <div class="pic">
            <a href="{{ dir }}/"><img src="{% static 'img/folderclose.jfif' %}" style="width:20px;"> &nbsp;&nbsp;{{ dir }}</a><br>
          </div>
        {% endfor %}
      {% endif %}
  </div>
  <div>
    {% if not dirs  %}
      {% if not pics  %}
        <br />
        <a style="font-size: 150%">This Folder Is Empty!</a>
      {% endif %}
    {% else %}
      {% if dirs.0 == '..' %}
        <br />
        <br />
        <br />
        <a style="font-size: 150%">This Path Not Exist!</a>
      {% endif %}
    {% endif %}
  </div>
      {% if pics %}
        <div class='catabar'>
        <h1>&nbsp;&nbsp;{% trans "认证成功" %}</h1>
        {% for pic in pics %}
        {% if pic.0 != 0 %}
        <div class="pic">
          <a href="/media/{{ pic.2 }}"><img width="60%" height="60%" src="/media/{{ pic.2 }}"><br>{{ pic.0 }}<br/>{{ pic.1 }}</a>
        </div>
        {% endif %}
        {% endfor %}
        </div>
        <div class='catabar'>
        <h1>&nbsp;&nbsp;{% trans "认证失败" %}</h1>
        {% for pic in pics %}
		    {% if pic.0 == 0 %}
        <div class="pic">
          <a href="/media/{{ pic.2 }}"><img width="60%" height="60%" src="/media/{{ pic.2 }}"><br>{{ pic.0 }}<br/>{{ pic.1 }}</a>
        </div>
        {% endif %}
        {% endfor %}
        </div>
      {% endif %}
</div>

{% endblock %}